%define oname dolphin

Summary:	File manager for Plasma 5 focusing on usability
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/applications/system/dolphin/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		dolphin-17.04.2-fileplaces.patch
Patch1:		dolphin-15.08.0-set-preview-true.patch
Patch2:		dolphin-17.12.3-klook.patch
# See https://bugs.kde.org/show_bug.cgi?id=357752
Patch3:		dolphin-15.12.0-no-hover-background.patch
# Keep it possible to run from root
Patch4:		dolphin-17.04.0-enable_rootactions.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activities-devel
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5baloowidgets-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	dolphin
Suggests:	klook
Conflicts:	kde5-l10n < 17.04

%description
Dolphin is a file manager for Plasma 5 focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
     through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -f %{oname}.lang
%doc README COPYING COPYING.DOC
%{_kde5_applicationsdir}/org.kde.dolphin.desktop
%{_kde5_bindir}/dolphin
%{_kde5_bindir}/servicemenudeinstallation
%{_kde5_bindir}/servicemenuinstallation
%{_kde5_datadir}/config.kcfg/dolphin_*.kcfg
%{_kde5_libdir}/libkdeinit5_dolphin.so
%{_kde5_services}/dolphinpart.desktop
%{_kde5_services}/kcmdolphingeneral.desktop
%{_kde5_services}/kcmdolphinnavigation.desktop
%{_kde5_services}/kcmdolphinservices.desktop
%{_kde5_services}/kcmdolphinviewmodes.desktop
%{_kde5_servicetypes}/fileviewversioncontrolplugin.desktop
%{_kde5_sysconfdir}/xdg/servicemenu.knsrc
%{_appdatadir}/org.kde.dolphin.appdata.xml
%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service
%{_qt5_plugindir}/dolphinpart.so
%{_qt5_plugindir}/kcm_dolphingeneral.so
%{_qt5_plugindir}/kcm_dolphinnavigation.so
%{_qt5_plugindir}/kcm_dolphinservices.so
%{_qt5_plugindir}/kcm_dolphinviewmodes.so
%lang(fi) %{_kde5_localedir}/fi/LC_SCRIPTS/dolphin

#----------------------------------------------------------------------------

%define dolphinprivate_major 5
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}

%package -n %{libdolphinprivate}
Summary:	Shared library for Dolphin
Group:		System/Libraries

%description -n %{libdolphinprivate}
Shared library for Dolphin.

%files -n %{libdolphinprivate}
%{_kde5_libdir}/libdolphinprivate.so.%{dolphinprivate_major}*

#----------------------------------------------------------------------------

%define dolphinvcs_major 5
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}

%package -n %{libdolphinvcs}
Summary:	Shared library for Dolphin
Group:		System/Libraries

%description -n %{libdolphinvcs}
Shared library for Dolphin.

%files -n %{libdolphinvcs}
%{_kde5_libdir}/libdolphinvcs.so.%{dolphinprivate_major}*

#----------------------------------------------------------------------------

%define devdolphin %mklibname dolphin -d

%package -n %{devdolphin}
Summary:	Development files for Dolphin
Group:		Development/KDE and Qt
Requires:	%{libdolphinvcs} = %{EVRD}
Provides:	dolphin-devel = %{EVRD}

%description -n %{devdolphin}
Development files for Dolphin.

%files -n %{devdolphin}
%dir %{_kde5_includedir}/Dolphin/
%{_kde5_includedir}/Dolphin/*
%{_kde5_includedir}/dolphin_export.h
%{_kde5_includedir}/dolphinvcs_export.h
%dir %{_kde5_libdir}/cmake/DolphinVcs/
%{_kde5_libdir}/cmake/DolphinVcs/*.cmake
%{_kde5_libdir}/libdolphinvcs.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.FileManager1.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# Don't ship development file for private library
rm -rf %{buildroot}%{_kde5_libdir}/libdolphinprivate.so

%find_lang %{oname} --with-kde --with-html
%kf5locales_fix %{oname}.lang


%changelog
